## otrplayer 0.1

=== src/Makefile ===
#############################################################################
# Makefile for building: src
# Generated by qmake (2.01a) (Qt 4.4.1) on: Sat Feb 14 17:31:42 2009
# Project:  src.pro
# Template: subdirs
# Command: /usr/bin/qmake -unix -o Makefile src.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-lib \
		sub-app

lib//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) lib/ || $(MKDIR) lib/ 
	cd lib/ && $(QMAKE) lib.pro -unix -o $(MAKEFILE)
sub-lib-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) lib/ || $(MKDIR) lib/ 
	cd lib/ && $(QMAKE) lib.pro -unix -o $(MAKEFILE)
sub-lib: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE)
sub-lib-make_default-ordered: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) 
sub-lib-make_default: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) 
sub-lib-make_first-ordered: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) first
sub-lib-make_first: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) first
sub-lib-all-ordered: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) all
sub-lib-all: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) all
sub-lib-clean-ordered: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) clean
sub-lib-clean: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) clean
sub-lib-distclean-ordered: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) distclean
sub-lib-distclean: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) distclean
sub-lib-install_subtargets-ordered: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) install
sub-lib-install_subtargets: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) install
sub-lib-uninstall_subtargets-ordered: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-lib-uninstall_subtargets: lib//$(MAKEFILE) FORCE
	cd lib/ && $(MAKE) -f $(MAKEFILE) uninstall
app//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) app/ || $(MKDIR) app/ 
	cd app/ && $(QMAKE) app.pro -unix -o $(MAKEFILE)
sub-app-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) app/ || $(MKDIR) app/ 
	cd app/ && $(QMAKE) app.pro -unix -o $(MAKEFILE)
sub-app: app//$(MAKEFILE) FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE)
sub-app-make_default-ordered: app//$(MAKEFILE) sub-lib-make_default-ordered  FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) 
sub-app-make_default: app//$(MAKEFILE) FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) 
sub-app-make_first-ordered: app//$(MAKEFILE) sub-lib-make_first-ordered  FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) first
sub-app-make_first: app//$(MAKEFILE) FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) first
sub-app-all-ordered: app//$(MAKEFILE) sub-lib-all-ordered  FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) all
sub-app-all: app//$(MAKEFILE) FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) all
sub-app-clean-ordered: app//$(MAKEFILE) sub-lib-clean-ordered  FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) clean
sub-app-clean: app//$(MAKEFILE) FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) clean
sub-app-distclean-ordered: app//$(MAKEFILE) sub-lib-distclean-ordered  FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) distclean
sub-app-distclean: app//$(MAKEFILE) FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) distclean
sub-app-install_subtargets-ordered: app//$(MAKEFILE) sub-lib-install_subtargets-ordered  FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) install
sub-app-install_subtargets: app//$(MAKEFILE) FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) install
sub-app-uninstall_subtargets-ordered: app//$(MAKEFILE) sub-lib-uninstall_subtargets-ordered  FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) uninstall
sub-app-uninstall_subtargets: app//$(MAKEFILE) FORCE
	cd app/ && $(MAKE) -f $(MAKEFILE) uninstall

qmake_all: sub-lib-qmake_all sub-app-qmake_all FORCE

make_default: sub-lib-make_default-ordered sub-app-make_default-ordered FORCE
make_first: sub-lib-make_first-ordered sub-app-make_first-ordered FORCE
all: sub-lib-all-ordered sub-app-all-ordered FORCE
clean: sub-lib-clean-ordered sub-app-clean-ordered FORCE
distclean: sub-lib-distclean-ordered sub-app-distclean-ordered FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-lib-install_subtargets-ordered sub-app-install_subtargets-ordered FORCE
uninstall_subtargets: sub-lib-uninstall_subtargets-ordered sub-app-uninstall_subtargets-ordered FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/lib/aflib/Makefile ===
#############################################################################
# Makefile for building: libaflib.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.4.1) on: Sat Mar 14 16:49:58 2009
# Project:  aflib.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile aflib.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = 
CFLAGS        = -pipe -O2 -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I.
LINK          = g++
LFLAGS        = -shared -Wl,-soname,libaflib.so.1
LIBS          = $(SUBLIBS)   
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = aflibAudioBWFilter.cc \
		aflibAudio.cc \
		aflibAudioFile.cc \
		aflibAudioMixer.cc \
		aflibAudioPitch.cc \
		aflibAudioSampleRateCvt.cc \
		aflibChain.cc \
		aflibChainNode.cc \
		aflibConfig.cc \
		aflibConverter.cc \
		aflibData.cc \
		aflibDateTime.cc \
		aflibEnvFile.cc \
		aflibFFT.cc \
		aflibFile.cc \
		aflibFileItem.cc \
		aflibMemCache.cc \
		aflibMemNode.cc \
		aflibMixerItem.cc 
OBJECTS       = aflibAudioBWFilter.o \
		aflibAudio.o \
		aflibAudioFile.o \
		aflibAudioMixer.o \
		aflibAudioPitch.o \
		aflibAudioSampleRateCvt.o \
		aflibChain.o \
		aflibChainNode.o \
		aflibConfig.o \
		aflibConverter.o \
		aflibData.o \
		aflibDateTime.o \
		aflibEnvFile.o \
		aflibFFT.o \
		aflibFile.o \
		aflibFileItem.o \
		aflibMemCache.o \
		aflibMemNode.o \
		aflibMixerItem.o
DIST          = /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		aflib.pro
QMAKE_TARGET  = aflib
DESTDIR       = ../../../libs/
TARGET        = libaflib.so.1.0.0
TARGETA       = ../../../libs/libaflib.a
TARGETD       = libaflib.so.1.0.0
TARGET0       = libaflib.so
TARGET1       = libaflib.so.1
TARGET2       = libaflib.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../../libs/$(TARGET)

../../../libs/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../../libs/ || $(MKDIR) ../../../libs/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../../../libs/$(TARGET)
	-$(DEL_FILE) ../../../libs/$(TARGET0)
	-$(DEL_FILE) ../../../libs/$(TARGET1)
	-$(DEL_FILE) ../../../libs/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../../../libs/



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: aflib.pro  /targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf
	$(QMAKE) -unix -o Makefile aflib.pro
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile aflib.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/aflib1.0.0 || $(MKDIR) .tmp/aflib1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/aflib1.0.0/ && (cd `dirname .tmp/aflib1.0.0` && $(TAR) aflib1.0.0.tar aflib1.0.0 && $(COMPRESS) aflib1.0.0.tar) && $(MOVE) `dirname .tmp/aflib1.0.0`/aflib1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/aflib1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../../../libs/$(TARGET) 
	-$(DEL_FILE) ../../../libs/$(TARGET0) ../../../libs/$(TARGET1) ../../../libs/$(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


compiler_clean: 

####### Compile

aflibAudioBWFilter.o: aflibAudioBWFilter.cc aflibAudioBWFilter.h \
		aflibAudio.h \
		aflib.h \
		aflibChain.h \
		aflibMemCache.h \
		aflibConfig.h \
		aflibData.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibAudioBWFilter.o aflibAudioBWFilter.cc

aflibAudio.o: aflibAudio.cc aflibAudio.h \
		aflib.h \
		aflibChain.h \
		aflibMemCache.h \
		aflibConfig.h \
		aflibAudioMixer.h \
		aflibMixerItem.h \
		aflibData.h \
		aflibAudioSampleRateCvt.h \
		aflibConverter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibAudio.o aflibAudio.cc

aflibAudioFile.o: aflibAudioFile.cc aflibAudioFile.h \
		aflib.h \
		aflibAudio.h \
		aflibChain.h \
		aflibMemCache.h \
		aflibConfig.h \
		aflibFile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibAudioFile.o aflibAudioFile.cc

aflibAudioMixer.o: aflibAudioMixer.cc aflibAudioMixer.h \
		aflibAudio.h \
		aflib.h \
		aflibChain.h \
		aflibMemCache.h \
		aflibConfig.h \
		aflibMixerItem.h \
		aflibData.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibAudioMixer.o aflibAudioMixer.cc

aflibAudioPitch.o: aflibAudioPitch.cc aflibAudioPitch.h \
		aflibAudioSampleRateCvt.h \
		aflibAudio.h \
		aflib.h \
		aflibChain.h \
		aflibMemCache.h \
		aflibConfig.h \
		aflibConverter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibAudioPitch.o aflibAudioPitch.cc

aflibAudioSampleRateCvt.o: aflibAudioSampleRateCvt.cc aflibAudioSampleRateCvt.h \
		aflibAudio.h \
		aflib.h \
		aflibChain.h \
		aflibMemCache.h \
		aflibConfig.h \
		aflibConverter.h \
		aflibData.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibAudioSampleRateCvt.o aflibAudioSampleRateCvt.cc

aflibChain.o: aflibChain.cc aflibChain.h \
		aflib.h \
		aflibChainNode.h \
		aflibAudio.h \
		aflibMemCache.h \
		aflibConfig.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibChain.o aflibChain.cc

aflibChainNode.o: aflibChainNode.cc aflibChainNode.h \
		aflib.h \
		aflibAudio.h \
		aflibChain.h \
		aflibMemCache.h \
		aflibConfig.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibChainNode.o aflibChainNode.cc

aflibConfig.o: aflibConfig.cc aflibConfig.h \
		aflib.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibConfig.o aflibConfig.cc

aflibConverter.o: aflibConverter.cc aflibConverter.h \
		aflibConverterLargeFilter.h \
		aflibConverterSmallFilter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibConverter.o aflibConverter.cc

aflibData.o: aflibData.cc aflibData.h \
		aflibConfig.h \
		aflib.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibData.o aflibData.cc

aflibDateTime.o: aflibDateTime.cc aflib.h \
		aflibDateTime.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibDateTime.o aflibDateTime.cc

aflibEnvFile.o: aflibEnvFile.cc aflibEnvFile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibEnvFile.o aflibEnvFile.cc

aflibFFT.o: aflibFFT.cc aflibFFT.h \
		aflib.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibFFT.o aflibFFT.cc

aflibFile.o: aflibFile.cc aflibFile.h \
		aflib.h \
		aflibConfig.h \
		aflibFileItem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibFile.o aflibFile.cc

aflibFileItem.o: aflibFileItem.cc aflibFileItem.h \
		aflib.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibFileItem.o aflibFileItem.cc

aflibMemCache.o: aflibMemCache.cc aflibMemCache.h \
		aflibMemNode.h \
		aflib.h \
		aflibData.h \
		aflibConfig.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibMemCache.o aflibMemCache.cc

aflibMemNode.o: aflibMemNode.cc aflibMemNode.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibMemNode.o aflibMemNode.cc

aflibMixerItem.o: aflibMixerItem.cc aflibMixerItem.h \
		aflib.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibMixerItem.o aflibMixerItem.cc

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/ 
	-$(INSTALL_PROGRAM) "../../../libs/$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET)"
	-strip --strip-unneeded "$(INSTALL_ROOT)/usr/lib/$(TARGET)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET0)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET1)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/$(TARGET2)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET0)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET1)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/$(TARGET2)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== src/lib/gst/Makefile ===
#############################################################################
# Makefile for building: libaflibGstFile.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.4.1) on: Sun Mar 1 14:21:34 2009
# Project:  gst.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile gst.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = 
CFLAGS        = -pipe -O2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I. -I../aflib
LINK          = g++
LFLAGS        = -shared -Wl,-soname,libaflibGstFile.so.1
LIBS          = $(SUBLIBS)   -lesd -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -pthread -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -ldl -lgthread-2.0 -lrt -lxml2 -lglib-2.0
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = aflibGstFile.cc 
OBJECTS       = aflibGstFile.o
DIST          = /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		gst.pro
QMAKE_TARGET  = aflibGstFile
DESTDIR       = ../../../libs/
TARGET        = libaflibGstFile.so.1.0.0
TARGETA       = ../../../libs/libaflibGstFile.a
TARGETD       = libaflibGstFile.so.1.0.0
TARGET0       = libaflibGstFile.so
TARGET1       = libaflibGstFile.so.1
TARGET2       = libaflibGstFile.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../../libs/$(TARGET)

../../../libs/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../../libs/ || $(MKDIR) ../../../libs/ 
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)
	-$(DEL_FILE) ../../../libs/$(TARGET)
	-$(DEL_FILE) ../../../libs/$(TARGET0)
	-$(DEL_FILE) ../../../libs/$(TARGET1)
	-$(DEL_FILE) ../../../libs/$(TARGET2)
	-$(MOVE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2) ../../../libs/



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: gst.pro  /targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf
	$(QMAKE) -unix -o Makefile gst.pro
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile gst.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/aflibGstFile1.0.0 || $(MKDIR) .tmp/aflibGstFile1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/aflibGstFile1.0.0/ && (cd `dirname .tmp/aflibGstFile1.0.0` && $(TAR) aflibGstFile1.0.0.tar aflibGstFile1.0.0 && $(COMPRESS) aflibGstFile1.0.0.tar) && $(MOVE) `dirname .tmp/aflibGstFile1.0.0`/aflibGstFile1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/aflibGstFile1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) ../../../libs/$(TARGET) 
	-$(DEL_FILE) ../../../libs/$(TARGET0) ../../../libs/$(TARGET1) ../../../libs/$(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


compiler_clean: 

####### Compile

aflibGstFile.o: aflibGstFile.cc aflibGstFile.h \
		../aflib/aflibFile.h \
		../aflib/aflib.h \
		../aflib/aflibConfig.h \
		../aflib/aflibData.h \
		../aflib/aflibFileItem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibGstFile.o aflibGstFile.cc

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/aflib/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/aflib/ 
	-$(INSTALL_PROGRAM) "../../../libs/$(TARGET)" "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET)"
	-strip --strip-unneeded "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET0)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET1)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET2)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET0)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET1)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET2)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/aflib/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== src/lib/mad/Makefile ===
#############################################################################
# Makefile for building: libaflibMadFile.so
# Generated by qmake (2.01a) (Qt 4.4.1) on: Sat Mar 14 16:49:58 2009
# Project:  mad.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile mad.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = 
CFLAGS        = -pipe -O2 -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I. -I../aflib
LINK          = g++
LFLAGS        = -shared
LIBS          = $(SUBLIBS)   
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = aflibMadFile.cc 
OBJECTS       = aflibMadFile.o
DIST          = /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		mad.pro
QMAKE_TARGET  = aflibMadFile
DESTDIR       = ../../../libs/
TARGET        = libaflibMadFile.so
TARGETD       = libaflibMadFile.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../../libs/$(TARGET)

../../../libs/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../../libs/ || $(MKDIR) ../../../libs/ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../../../libs/



Makefile: mad.pro  /targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf
	$(QMAKE) -unix -o Makefile mad.pro
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile mad.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/aflibMadFile1.0.0 || $(MKDIR) .tmp/aflibMadFile1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/aflibMadFile1.0.0/ && (cd `dirname .tmp/aflibMadFile1.0.0` && $(TAR) aflibMadFile1.0.0.tar aflibMadFile1.0.0 && $(COMPRESS) aflibMadFile1.0.0.tar) && $(MOVE) `dirname .tmp/aflibMadFile1.0.0`/aflibMadFile1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/aflibMadFile1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


compiler_clean: 

####### Compile

aflibMadFile.o: aflibMadFile.cc aflibMadFile.h \
		../aflib/aflibFile.h \
		../aflib/aflib.h \
		../aflib/aflibConfig.h \
		../aflib/aflibData.h \
		../aflib/aflibFileItem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibMadFile.o aflibMadFile.cc

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/aflib/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/aflib/ 
	-$(INSTALL_PROGRAM) "../../../libs/$(TARGET)" "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET)"
	-strip --strip-unneeded "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/aflib/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== src/lib/ogg/Makefile ===
#############################################################################
# Makefile for building: libaflibOggFile.so
# Generated by qmake (2.01a) (Qt 4.4.1) on: Sat Mar 14 16:49:58 2009
# Project:  ogg.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile ogg.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = 
CFLAGS        = -pipe -fsigned-char -D_REENTRANT -DUSE_MEMORY_H -DHAVE_ALLOCA_H=1 -DHAVE_ALLOCA=1 -O2 -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I. -Ivorbis -I../aflib
LINK          = g++
LFLAGS        = -shared
LIBS          = $(SUBLIBS)   
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = aflibOggFile.cc \
		vorbis/bitwise.c \
		vorbis/floor0.c \
		vorbis/info.c \
		vorbis/mdct.c \
		vorbis/sharedbook.c \
		vorbis/window.c \
		vorbis/block.c \
		vorbis/floor1.c \
		vorbis/ivorbisfile_example.c \
		vorbis/registry.c \
		vorbis/synthesis.c \
		vorbis/codebook.c \
		vorbis/framing.c \
		vorbis/mapping0.c \
		vorbis/res012.c \
		vorbis/vorbisfile.c 
OBJECTS       = aflibOggFile.o \
		bitwise.o \
		floor0.o \
		info.o \
		mdct.o \
		sharedbook.o \
		window.o \
		block.o \
		floor1.o \
		ivorbisfile_example.o \
		registry.o \
		synthesis.o \
		codebook.o \
		framing.o \
		mapping0.o \
		res012.o \
		vorbisfile.o
DIST          = /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		ogg.pro
QMAKE_TARGET  = aflibOggFile
DESTDIR       = ../../../libs/
TARGET        = libaflibOggFile.so
TARGETD       = libaflibOggFile.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../../libs/$(TARGET)

../../../libs/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../../libs/ || $(MKDIR) ../../../libs/ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../../../libs/



Makefile: ogg.pro  /targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf
	$(QMAKE) -unix -o Makefile ogg.pro
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile ogg.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/aflibOggFile1.0.0 || $(MKDIR) .tmp/aflibOggFile1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/aflibOggFile1.0.0/ && (cd `dirname .tmp/aflibOggFile1.0.0` && $(TAR) aflibOggFile1.0.0.tar aflibOggFile1.0.0 && $(COMPRESS) aflibOggFile1.0.0.tar) && $(MOVE) `dirname .tmp/aflibOggFile1.0.0`/aflibOggFile1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/aflibOggFile1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


compiler_clean: 

####### Compile

aflibOggFile.o: aflibOggFile.cc vorbis/ivorbiscodec.h \
		vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbisfile.h \
		aflibOggFile.h \
		../aflib/aflibFile.h \
		../aflib/aflib.h \
		../aflib/aflibConfig.h \
		../aflib/aflibData.h \
		../aflib/aflibFileItem.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibOggFile.o aflibOggFile.cc

bitwise.o: vorbis/bitwise.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o bitwise.o vorbis/bitwise.c

floor0.o: vorbis/floor0.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbiscodec.h \
		vorbis/codec_internal.h \
		vorbis/codebook.h \
		vorbis/registry.h \
		vorbis/backends.h \
		vorbis/misc.h \
		vorbis/asm_arm.h \
		vorbis/os.h \
		vorbis/lsp_lookup.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o floor0.o vorbis/floor0.c

info.o: vorbis/info.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbiscodec.h \
		vorbis/codec_internal.h \
		vorbis/codebook.h \
		vorbis/registry.h \
		vorbis/backends.h \
		vorbis/window.h \
		vorbis/misc.h \
		vorbis/asm_arm.h \
		vorbis/os.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o info.o vorbis/info.c

mdct.o: vorbis/mdct.c vorbis/ivorbiscodec.h \
		vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/os.h \
		vorbis/misc.h \
		vorbis/asm_arm.h \
		vorbis/mdct.h \
		vorbis/mdct_lookup.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o mdct.o vorbis/mdct.c

sharedbook.o: vorbis/sharedbook.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/os.h \
		vorbis/misc.h \
		vorbis/ivorbiscodec.h \
		vorbis/asm_arm.h \
		vorbis/codebook.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o sharedbook.o vorbis/sharedbook.c

window.o: vorbis/window.c vorbis/os.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/misc.h \
		vorbis/ivorbiscodec.h \
		vorbis/ogg.h \
		vorbis/asm_arm.h \
		vorbis/window.h \
		vorbis/window_lookup.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o window.o vorbis/window.c

block.o: vorbis/block.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbiscodec.h \
		vorbis/codec_internal.h \
		vorbis/codebook.h \
		vorbis/window.h \
		vorbis/registry.h \
		vorbis/backends.h \
		vorbis/misc.h \
		vorbis/asm_arm.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o block.o vorbis/block.c

floor1.o: vorbis/floor1.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbiscodec.h \
		vorbis/codec_internal.h \
		vorbis/codebook.h \
		vorbis/registry.h \
		vorbis/backends.h \
		vorbis/misc.h \
		vorbis/asm_arm.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o floor1.o vorbis/floor1.c

ivorbisfile_example.o: vorbis/ivorbisfile_example.c vorbis/ivorbiscodec.h \
		vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbisfile.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o ivorbisfile_example.o vorbis/ivorbisfile_example.c

registry.o: vorbis/registry.c vorbis/ivorbiscodec.h \
		vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/codec_internal.h \
		vorbis/codebook.h \
		vorbis/registry.h \
		vorbis/backends.h \
		vorbis/misc.h \
		vorbis/asm_arm.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o registry.o vorbis/registry.c

synthesis.o: vorbis/synthesis.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbiscodec.h \
		vorbis/codec_internal.h \
		vorbis/codebook.h \
		vorbis/registry.h \
		vorbis/backends.h \
		vorbis/misc.h \
		vorbis/asm_arm.h \
		vorbis/os.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o synthesis.o vorbis/synthesis.c

codebook.o: vorbis/codebook.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbiscodec.h \
		vorbis/codebook.h \
		vorbis/misc.h \
		vorbis/asm_arm.h \
		vorbis/os.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o codebook.o vorbis/codebook.c

framing.o: vorbis/framing.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/misc.h \
		vorbis/ivorbiscodec.h \
		vorbis/asm_arm.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o framing.o vorbis/framing.c

mapping0.o: vorbis/mapping0.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbiscodec.h \
		vorbis/mdct.h \
		vorbis/misc.h \
		vorbis/asm_arm.h \
		vorbis/codec_internal.h \
		vorbis/codebook.h \
		vorbis/window.h \
		vorbis/registry.h \
		vorbis/backends.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o mapping0.o vorbis/mapping0.c

res012.o: vorbis/res012.c vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbiscodec.h \
		vorbis/codec_internal.h \
		vorbis/codebook.h \
		vorbis/registry.h \
		vorbis/backends.h \
		vorbis/misc.h \
		vorbis/asm_arm.h \
		vorbis/os.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o res012.o vorbis/res012.c

vorbisfile.o: vorbis/vorbisfile.c vorbis/ivorbiscodec.h \
		vorbis/ogg.h \
		vorbis/os_types.h \
		vorbis/config_types.h \
		vorbis/ivorbisfile.h \
		vorbis/os.h \
		vorbis/misc.h \
		vorbis/asm_arm.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o vorbisfile.o vorbis/vorbisfile.c

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/aflib/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/aflib/ 
	-$(INSTALL_PROGRAM) "../../../libs/$(TARGET)" "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET)"
	-strip --strip-unneeded "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/aflib/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== src/lib/wav/Makefile ===
#############################################################################
# Makefile for building: libaflibWavFile.so
# Generated by qmake (2.01a) (Qt 4.4.1) on: Sat Mar 14 16:49:58 2009
# Project:  wav.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile wav.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = 
CFLAGS        = -pipe -O2 -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I. -I../aflib
LINK          = g++
LFLAGS        = -shared
LIBS          = $(SUBLIBS)   -laudiofile
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = aflibWavFile.cc 
OBJECTS       = aflibWavFile.o
DIST          = /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		wav.pro
QMAKE_TARGET  = aflibWavFile
DESTDIR       = ../../../libs/
TARGET        = libaflibWavFile.so
TARGETD       = libaflibWavFile.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../../libs/$(TARGET)

../../../libs/$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../../libs/ || $(MKDIR) ../../../libs/ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../../../libs/



Makefile: wav.pro  /targets/DIABLO_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf
	$(QMAKE) -unix -o Makefile wav.pro
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/DIABLO_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile wav.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/aflibWavFile1.0.0 || $(MKDIR) .tmp/aflibWavFile1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/aflibWavFile1.0.0/ && (cd `dirname .tmp/aflibWavFile1.0.0` && $(TAR) aflibWavFile1.0.0.tar aflibWavFile1.0.0 && $(COMPRESS) aflibWavFile1.0.0.tar) && $(MOVE) `dirname .tmp/aflibWavFile1.0.0`/aflibWavFile1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/aflibWavFile1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


compiler_clean: 

####### Compile

aflibWavFile.o: aflibWavFile.cc aflibWavFile.h \
		../aflib/aflibFile.h \
		../aflib/aflib.h \
		../aflib/aflibConfig.h \
		../aflib/aflibFileItem.h \
		../aflib/aflibData.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o aflibWavFile.o aflibWavFile.cc

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/aflib/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/aflib/ 
	-$(INSTALL_PROGRAM) "../../../libs/$(TARGET)" "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET)"
	-strip --strip-unneeded "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/aflib/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/aflib/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== debian/changelog ===
otrplayer (0.1) unstable; urgency=low

  * Initial release 

 -- Bruce Forsberg <bruce.forsberg@gmail.com>  Sat, 14 Feb 2009 17:38:49 -0800

=== debian/control ===
Source: otrplayer
Section: user/multimedia
Priority: optional
Maintainer: Bruce Forsberg <bruce.forsberg@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libesd0-dev, libgtk2.0-dev, libosso-dev
Standards-Version: 3.7.2

Package: otrplayer
Architecture: any
Depends: ${shlibs:Depends}, hildon-application-manager
Description: An audio player for listening to Old Time Radio.
